Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class StreetAddressLineMember2

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.StreetAddressLineMember2

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class StreetAddressLineMember2

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Street Address Line Member2', and utility methods for working with them.

See Also:
  `CDAR2Package.getStreetAddressLineMember2()`

Field Summary
`static int` | `DIR` The 'DIR' literal value.
`static StreetAddressLineMember2` | `DIR_LITERAL` The 'DIR' literal object.
`static int` | `SAL` The 'SAL' literal value.
`static StreetAddressLineMember2` | `SAL_LITERAL` The 'SAL' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Street Address Line Member2' enumerators.

Method Summary
`static StreetAddressLineMember2` | `get(int value)` Returns the 'Street Address Line Member2' literal with the specified integer value.
`static StreetAddressLineMember2` | `get(java.lang.String literal)` Returns the 'Street Address Line Member2' literal with the specified literal value.
`static StreetAddressLineMember2` | `getByName(java.lang.String name)` Returns the 'Street Address Line Member2' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SAL

    public static final int SAL

  The 'SAL' literal value.

  If the meaning of 'SAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SAL_LITERAL`, Constant Field Values

### DIR

    public static final int DIR

  The 'DIR' literal value.

  If the meaning of 'DIR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIR_LITERAL`, Constant Field Values

### SAL_LITERAL

    public static final StreetAddressLineMember2 SAL_LITERAL

  The 'SAL' literal object.

  See Also:
    `SAL`

### DIR_LITERAL

    public static final StreetAddressLineMember2 DIR_LITERAL

  The 'DIR' literal object.

  See Also:
    `DIR`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Street Address Line Member2' enumerators.

Method Detail

### get

    public static StreetAddressLineMember2 get(java.lang.String literal)

  Returns the 'Street Address Line Member2' literal with the specified literal value.

### getByName

    public static StreetAddressLineMember2 getByName(java.lang.String name)

  Returns the 'Street Address Line Member2' literal with the specified name.

### get

    public static StreetAddressLineMember2 get(int value)

  Returns the 'Street Address Line Member2' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD